Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Feb 2021 20:06:07 +0200

> I don't think tab-bar-mode can vary from frame to frame?

Indeed, currently tab-bar-mode is global, but not frame-local.
It's just a convenient way to enable the tab-bar without creating
a new tab first (when tab-bar-show is t).  Another convenience of
tab-bar-mode is enabling the C-TAB keybindings for switching tabs.

> Hope this is satisfactory, if not please feel free to adjust as you wish.

Thanks, looks nice, but needs a little more testing with different settings.

> Do I need to do the contribution paperworks for this patch? So far I
> haven't done that.

I don't know.  Please ask Eli or Lars if your contributions
fit into the updated rule in https://debbugs.gnu.org/44834#73